Subject: [aqm] Congestion levels (draft-ietf-aqm-eval-guidelines-02.pdf)

From: Szilveszter Nadas <[email-masked]>
Date: Sun, 29 Mar 2015 09:16:47 +0000

Hi,

To clarify my comments at the mic somewhat. I do prefer this definition compared to the previous version reviewed at Hawaii. I am not quite sure when it comes compared to the definition Mirja said, there are different pros and cons of the two definitions.

I think there is a considerable complexity of this definition as Mirja also said. I see it less confusing and I think that drop tail queue might a good enough reference. Still there are issues with this, e.g. several packets of the same flow lost in an RTT. Also the actual percentages are hard to find, some simulations/calculations would be maybe useful to back up the actual numbers used.

A thing which occurred to me is that while these numbers are independent of the AQM being used, they are not independent of the buffer size used. Optimal/desirable buffer sizes (both in ms and octet) might be significantly different for different bitrates and RTTs, and it might be hard to actually compare the algorithms if they use different buffer sizes. Maybe a recommendation for reference buffer size would be a good addition to make comparisons more correct.

Bitrate based definition (i.e. what bitrate a single flow can achieve if that flow experiences its fair share) might be better from simplicity point of view, but they somehow do not feel quite right for me (I know that this is not a very strong argument:) ).

On why do I think it is important to have congestion level definition. It is because high congestion is when an AQM is stressed the most, however improvements for high congestion must not result in performance degradation for lower levels.

I leave it to the authors’ consideration whether to include any of this in an update.

Cheers,
Szilveszter

From: aqm [mailto:[email-masked]] On Behalf Of Scheffenegger, Richard
Sent: Friday, March 27, 2015 10:05
To: [email-masked]<mailto:[email-masked]>
Subject: [aqm] IETF92 meeting minutes

Hi AQM’ers,

The Meeting Minutes for IETF92 have been compiled. Thanks to Anna Brunstrom for taking very good notes, and other participants to already provide additions.

If you have made a comment on the microphone, please review the minutes and check if the essence of your comment have been captured.

https://www.ietf.org/proceedings/92/minutes/minutes-92-aqm

Also I’d like to thank again for all those who have committed to review the various documents, as listed at the beginning of the minutes.

Best regards,
  Richard Scheffenegger